#include <bits/stdc++.h>

using namespace std;

int main() {

  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);

  string a;
  cin>>a;
  int p, d;
  cin>>p>>d;
  if( abs(p - d) > 1) cout<<"nemoguce";
  else {
    if(p > d) {
      while(p > 0) {
        cout<<a[0];
        p--;
        if(d > 0) {
          cout<<a[1];
          d--;
        }
      }
    }
    else {
      while(d > 0) {
        cout<<a[1];
        d--;
        if(p > 0) {
          cout<<a[0];
          p--;
        }
      }
    }
  }

  return 0;
}